package jagafa.ai;

import jagafa.flags.TestingFlags;
import jagafa.scores.SchieberScoreTable;
import jagafa.scores.ScoreTable;
import jagafa.view.newui.RoundController2;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.Timer;

public class AITest {

	private static ScoreTable scoreTable_;

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		TestingFlags.automatedTest_ = true;
		TestingFlags.silentTest_ = true;
		TestingFlags.redirectSystemOut_ = false;
		TestingFlags.repeatedTest_ = true;
		TestingFlags.maxRepeats_ = 300;
		TestingFlags.speedUp_ = true;
		
		//AIFlags.GRADE_WEIGHT = 0.8;
		installRestartTimer();
		
		startTest();

		
	}

	private static void startTest() {
		
		TestingFlags.repeats_ = 0;
		TestingFlags.repeatedTest_ = true;
		scoreTable_ = new SchieberScoreTable(2000);
		controller = new RoundController2();
		controller.startRound(scoreTable_);
		
	}

	private static RoundController2 controller;

	private static void playRound() {

		controller.startRound(scoreTable_);
		while (controller.getRound().isRunning() ) {

		}
	}

	
	private static void installRestartTimer() {
		/**
		 * The restart timer is needed to wait for a new game to start
		 * If he is called, then the game waits 6 seconds, then the game 
		 * will reset and restart itself if the game is endless
		 */
		Timer restartTimer_ = new Timer(900, new ActionListener() {

			public void actionPerformed(ActionEvent e) {
				if (TestingFlags.repeatedTest_==false) {
					startTest();
				}
			}

		});
		restartTimer_.start();
	}
}
