package jagafa.flags;

public abstract class TestingFlags {

	/* GUI FLAGS */
	public static boolean showRoundStats_ = true;

	public static boolean showAllHands_ = false;

	/* GAME FLOW FLAGS */
	public static boolean paused_ = false;

	/* DUMP FLAGS */
	public static boolean ruleSetChoiceDump_ = false;

	public static boolean probTableDump_ = false;

	public static boolean probAIDump_ = false;

	public static boolean aiStrategyDump_ = false;

	public static boolean showHand_[] = { false, false, false, false };

	public static boolean playerIsHuman_[] = {true, false, false, false };
	
	/* TEST AUTOMATION FLAGS */
	public static boolean automatedTest_ = false;

	public static boolean repeatedTest_ = false;

	public static boolean silentTest_ = false;

	public static boolean speedUp_ = false;

	public static boolean redirectSystemOut_ = false;

	public static int repeats_ = 0;

	public static int maxRepeats_ = 0;

	/* TIMER CONSTANTS */
	public static final int FAST_AI_DELAY = 0;

	public static final int NORMAL_AI_DELAY = 750;

	public static final int RESTART_DELAY = 4000;

	public static final int UI_REFRESH_DELAY = 1500;

	public static final int FAST_UI_REFRESH_DELAY = 0;

	
	/* RESOURCE URL CONSTANTS */
	public static final String RESOURCE_DIR = "images/swiss/";

	public static final String RESOURCE_DIR2 = "images/french/";

	public static final String EMPTY_IMAGE = "Empty.gif";

	static public final String IMAGE_EXTENSION = ".gif";

	
	/* CARDBUTTON, HAND and BOARD display parameters */
	public static final double CARD_RATIO = 145.0/195.0;

	public static final int CARD_HEIGHT = 120;

	public static final int CARD_OVERLAP = 50;

}
