/*
 * Created on 21.06.2005 Filename: Heap.java
 */
package jagafa.util;

import java.util.Iterator;
import java.util.LinkedList;

/**
 * @author Besitzer
 */
public class Heap<T> extends LinkedList<T> {

    /**
	 * 
	 */
	private static final long serialVersionUID = -2112598301107207489L;

	public void insertFirst(T o) {
        Heap<T> newList = new Heap<T>();
        Iterator<T> iter = this.iterator();
        newList.add(o);
        while (iter.hasNext()) {
            newList.add(iter.next());
        }

        this.removeAll(this);
        this.addAll(newList);
    }

    public void insertLast(T o) {
        this.add(o);
    }

    public void insert(int pos, T o) {
        Heap<T> newList = new Heap<T>();
        Iterator<T> iter = this.iterator();

        int i = 0;
        while (iter.hasNext()) {

            if (i == pos) {
                newList.add(o);
            }
            i++;
            newList.add(iter.next());

        }

        this.removeAll(this);
        this.addAll(newList);
    }

}