package jagafa;

import jagafa.scores.SchieberScoreTable;
import jagafa.view.newui.RoundController2;
import jagafa.view.newui.TabbedView;

import java.awt.BorderLayout;

import javax.swing.JFrame;

public class NewViewTest {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		/* This round controller holds both the views and the game engine 
		 * They can be accessed by its get...() methods.
		 */
		RoundController2 controller = new RoundController2();
		controller.startRound(new SchieberScoreTable(2000));
		
		/* This is the tabbed view displaying the different views of the 
		 * controller.
		 */
		TabbedView tabbed = new TabbedView(controller);
		
		/* The frame holding the tabbed view */
		JFrame frame = new JFrame();
		frame.setVisible(true);
		frame.setLayout(new BorderLayout());
		frame.getContentPane().add(tabbed, BorderLayout.CENTER);
		frame.pack();
		
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.validate();
	}

}
