package jagafa.view.newui;

import jagafa.flags.TestingFlags;
import jagafa.util.dump.Dump;
import jagafa.util.view.GridPanel;

import javax.swing.JTabbedPane;

public class TabbedView extends JTabbedPane {

	/**
	 * 
	 */
	private static final long serialVersionUID = 7456626840326342351L;

	/**
	 * 
	 */
	public TabbedView(RoundController2 controller) {
		super();

		Dump dump = new Dump();

		GridPanel layoutPanel = new GridPanel();

		layoutPanel.addRow(4);
		layoutPanel.addRow(2);

		layoutPanel.setComponent(1, 0, controller.getRuleChoicePanel());
		layoutPanel.setComponent(2, 0, new TestingFlagsPanel());
		layoutPanel.setComponent(3, 0, controller.getSTPanel());
	
		if (TestingFlags.showRoundStats_) {
			layoutPanel.setComponent(0, 1, controller.getStatsPanel());
		}
		layoutPanel.setComponent(1, 1, Dump.getDumpPanel());

		this.addTab("Round Panel", controller.getRoundPanel());

		this.addTab("Control Panel", layoutPanel);

	}

}
